#!/bin/bash

cat doc2faxEmail.php |	sed 's/xzxdoc2faxEmail/Dokumente per E-Mail und Fax versenden/g' | sed 's/xzxContacts Directory/Adressbuch/g' |\
    sed 's/xzxSearch Contacts/Volltextsuche Adressbuch/g'                                 | sed 's/xzxalternative file/Einzel-Dokument/g' | \
    sed 's/xzxLoading... Please wait./Dokumente werden geladen... Bitte warten./g'        | sed 's/xzxDrop files here/Dokumente hier fallen lassen/g' | \
    sed 's/xzxDrop files in the box above/Dokumente in der Box oberhalb fallen lassen/g'  | sed 's/xzxFile Upload Manager/Dateien prüfen/g' | \
    sed 's/xzxNo files added./Keine Dateien vorhanden/g'                                  | sed 's/xzxManage files before upload/Dateien vor dem Hochladen prüfen\/löschen/g' | \
    sed 's/xzxFunctions\/Controls/Zusatzfunktionen/g'  | sed 's/xzxSelected\/ New Contact/Kontaktformuar: ausgewählter oder neuer Kontakt'/g | \
    sed 's/xzxDownload\/Show Email-ZIP/E-Mail-ZIP-Archiv ansehen\/herunterladen/g' | sed 's/xzxLoad complete directory/Gesamtes Verzeichnis laden/g' | \
    sed 's/xzxDownload\/Show Fax document (PDF-document)/Fax-Dokument (PDF) ansehen\/herunterladen/g' | sed 's/xZxConvert/Konvertiere/g' |  sed 's/xZxto/zu/g' |\
    sed 's/xzxText FaxCover\/ Email/Text für Email\/ Fax-Deckblatt/g' |  sed 's/xzxSetup/Einstellungen/g' | sed 's/doc2faxEmail_setup.php/doc2faxEmail_setup_ger.php/g' |\
    sed 's/ / /g' | \
    sed 's/ / /g' > doc2faxEmail_ger.php




cat doc2faxEmail_faxemailform.php | sed 's/xzxSubject (Email only):/Betreff (nur E-Mail)/g' | sed 's/xzxMessage unencrypted:<br \/>(Email, Fax-Cover)/Nachricht unverschlüsselt:<br \/>(Email, Fax-Deckblatt)/g' | \
    sed 's/xzxMessage:<br \/>(FaxCover, Email)/Nachricht:<br \/>(E-Mail, Fax-Deckblatt)/g' |  sed 's/xzxCc (Email only):/Cc (Nur E-Mail):/g' |\
    sed 's/xzxSend Fax/Fax senden/g' | sed 's/xzxSend Email/E-Mail senden/g' |  sed 's/ / /g' |  sed 's/ / /g'  | \
    sed 's/xzxAttachment not encrypted/Anhang nicht verschlüsseln/g' | sed 's/ / /g' |  sed 's/xZxClear/Felder leeren/g' |  sed 's/ / /g' | \
    sed 's/xzxStd-msg faxcover/Std-Text Fax-Deckblatt /g' | sed 's/xzxStandard-msg email/Standard-Text E-Mail/g' > doc2faxEmail_faxemailform_ger.php

cat doc2faxEmail_contactform.php | sed 's/xzxSelected\/New Contact/Ausgewählter\/Neuer Kontakt /' | sed 's/xzxNew contact/Neuer Kontakt:/g' |  sed 's/xzxName\/Office:/Name\/Praxis\/Klinik:/g' | \
    sed 's/xzxRemark:/Bemerkung:/g' |  sed 's/xzxCode encrypt:/Verschlüsslungs-KW:/g' |  sed 's/xzxAllowed/Erlaubt/g' |  sed 's/xzxNot allowed/Nicht erlaubt/g' | \
    sed 's/xzxFax Number:/Fax-Nummer:/g' | sed 's/xzxSave changes/Speichern/g' |  sed 's/xzxClear/Felder leeren\/Neue Adresse/g' > doc2faxEmail_contactform_ger.php

#	sed 's/ / /g' | sed 's/ / /g' |  sed 's/ / /g' |  sed 's/ / /g' | \

cat doc2faxEmail_head.php | sed 's/xzxSet Encrypt-Code/Verschlüsslungs-Code eingeben/g' | \
    sed 's/xzxChange Password, length 7 to 10 chars:/Verschlüsselungs-Code ändern, 7-10 Zeichen (kein "\&"):/g' | \
    sed 's/xzxSet New Encrypt-Code/Neuen Verschlüsslungs-Code setzen /g' | sed 's/xzxCode:/Kennwort:/g' |  sed 's/xzxSave Password/Speichern/g' | \
    sed 's/xzxCancel/Abbrechen/g' | sed 's/xzxDrop files below to upload/Dokumente unterhalb fallen lassen/g' | \
    sed 's/xzxUpdate selected contact/Angezeigte Kontakt aktualisieren/g' | sed 's/xzxNew contact/Neuer Kontakt:/g' | \
    sed 's/xzxDocuments attached from/angehängte Dokumente von /g' | \
    sed 's/"xzxsuccess"/"Erfolg!"/g' | sed 's/"xzxerror"/"Fehler!"/g' |  sed 's/xzxscans copied successfully./Scans wurden erfolgreich kopiert./g' | \
    sed 's/xzxSendFax request sent. Awaiting confirmation.../Fax-Versand ist eingeleitet. Warten auf Bestätigung.../g' | \
    sed 's/xzxPlease wait while your email is queued for transmission./Bitte warten, die E-Mail ist im Versand./g' | \
    sed 's/xzxFile list is empty. Please upload documents first./Liste der Dokumente ist leer. Bitte zuerst Dokumente hochladen./g' | \
    sed 's/xzxNo scan files selected./Keine Dateien ausgewählt/g' |  sed 's/xzxNo files added/Keine Dateien beigefügt/g' |  sed 's/ / /g' |\
    sed 's/xzxDrop files below to upload/Dokumente unterhalb fallen lassen, um sie hochzuladen/g' | sed 's/xzxFiles uploaded successfully/Dokumente erfolgreich hochgeladen/g' | \
    sed 's/xzxProcessing preview images... please wait!/Vorschaubilder werden erzeugt... bitte warten./g' |\
    sed 's/xzxContact saved successfully/Kontakt wurde gespeichert/g' | \
    sed 's/xzxMinimum fax number length of <?php echo $faxnumberlength; ?> required./Minimale Faxnummer-Länge von <?php echo $faxnumberlength; ?> notwendig./g' | \
    sed 's/xzxSendEmail request sent. Awaiting confirmation.../E-Mail-Versand ist eingeleitet. Warten auf Bestätigung.../g' | \

    sed 's/xzxMinimum contact name length required/Minimale Länge des Namens/g' | sed 's/xzxMinimum encryption code length required/Minimale Code-Länge/g' | \
    sed 's/xzxRequest sent. Awaiting confirmation.../Anfrage gesendet. Warten auf Rückmeldung.../g' |  sed 's/xzxContact deleted successfully/Der Kontakt wurde gelöscht/g' | \
    sed 's/xzxLoading.../bitte warten.../g' | sed 's/xzxPassword of contact form/Kennwort vom Kontakformular/g' |  sed 's/ / /g' |  sed 's/ / /g' | \

    sed 's/xzxPlease wait while your fax is queued for transmission./Bitte warten, das Fax ist im Versand./g' | \
    sed 's/xzxPreparing documents.../Dokumente vorbereiten.../g' |  sed 's/xzxPlease wait while your zip-file is prepared./Bitte warten während Ihre ZIP-Datei erstellt wird./g' | \
    sed 's/xzxLoading Fax document.../Fax-Dokument laden.../g' | sed 's/xzxPlease wait while your fax document is loaded./Bitte warten während Ihr Fax-Dokument lädt. /g' | \
    sed 's/xzxOriginal files not processed completely. Please wait for them to complete and then retry./Die Dokumente sind nocht nicht vollständig verarbeitet. Bitte warten und neu versuchen./g' |\
    sed 's/xzxFile list is empty. Please upload documents and then retry./Dateiliste ist leer! Bitte Dokumente hochladen und neue versuchen./g' | \
    sed 's/xzxPreparing Fax document.../Fax-Dokumente vorbereiten.../g' |  sed 's/xzxPlease wait while your fax document is prepared./Bitte warten./g' | \
    sed 's/xzxFax document ready/Fax-Dokumente steht zur Verfügung/g' | sed 's/xzxFax document prepared. Sending fax./Fax-dokument vorbereitet. Fax wird versendet./g' | \
    sed 's/xzxFax document ready/Fax-Dokument bereit/g' | sed 's/xzxEmail document prepared. Preparing ZIP-file./Email-Dokumente stehen zur Verfügung. ZIP-Datei wird erstellt./g' | \
    sed 's/xzxLoading Documents.../Dokumente werden geladen.../g' | sed 's/xzxPlease wait while your archive link is loaded./Dokumente werden geladen. Bitte warten /g' | \
    sed 's/xzxPlease wait while your zip-file file is prepared./Bitte warten während die ZIP-Datei erstellt wird./g' |  \
    sed 's/xzxImporting documents.../Importieren der Dokumente.../g' | sed 's/xzxPlease wait... importing documents./Bitte warten... Dokumente werden importiert./g' | \
    sed 's/xzxPassword saved successfully/Kennwort wurde gespeichert/g' | sed 's/xzxDownload File/ZIP-Datei Herunterladen/g' | \
    sed 's/xzxZIP-Archive password:/ZIP-Datei Kennwort:/g' | sed 's/xzxDownload encrypted ZIP-Archive/Verschlüsselte ZIP-Datei herunterladen(Klick!)/g' | \
    sed 's/xzxZIP-Archive is not encrypted! Type in/Die ZIP-Datei nicht verschlüsselt herunterladen! Bitte eingeben /g' |  sed 's/xzx for download//g' |
    sed 's/xzxDownload open ZIP-Archive/Nicht verschlüsselte ZIP-Datei herunterladen(Klick!)/g' | sed 's/xzxRetry/Bitte wiederholen/g' |  \
    sed 's/successfully converted to PDF/vollständig zu PDF konvertiert/g' | sed 's/xzxEmail document ready/Email-Dokumente stehen bereit/g' | \
    sed 's/xzxFile list is empty. Please load documents and then retry/Dateiliste ist leer. Bitte zuerst Dateien hochladen/g' | \
    sed 's/xzxThere are documents with no PDF! Please delete them before or send as email. Files are/Es gibt Dokumente ohne PDF! Bitte diese zuvor löschen oder als E-Mail versenden/g' | \
    sed 's/xzxYou want to send email without zip attached?/Sie wollen eine E-Mail ohne Dateinanhang senden?/g' |  sed 's/xzxFile/Datei/g' | \
    sed 's/xzxImporting documents... completed/Dokumente werden importiert/g' | sed 's/xzxMoving and importing documents... completed/Importieren von Dokumenten ... abgeschlossen/g' |\
    sed 's/xzxNo documents moved./Es wurden keine Dokumente in "faxEmail" gefunden und nach "faxEmail_gesendet" verschoben./g' |  sed 's/xzxDocuments moved/Dokumente verschoben:/g' |\
    sed 's/xzxMoving and importing documents.../Dokumente importieren und verschieben nach _gesendet.../g' | \
    sed 's/xzxPlease prepare archive first and then retry/Keine Dateien gefunden: F3671./g' | \
    sed 's/xzxFax recipients list is empty. Please enter fax number(s) to send fax/Fax Empfängerliste ist leer. Bitte Faxnummer angeben/g' |  sed 's/ / /g' | \
    sed 's/xzxEmail recipients list is empty. Please enter email address to send email/Email Empfänger ist leer. Bitte Email-Adresse angeben/g' | sed 's/ / /g' | \
    sed 's/xzxAttention: note password for messaging or send PW as fax!/Achtung: Kennwort notieren um es zu weiterzuleiten oder senden Sie es als Fax!/g' |  sed 's/ / /g'| \
    sed 's/ / /g' | sed 's/ / /g' |  sed 's/ / /g' |  sed 's/ / /g' | \
    sed 's/xzxMinimum password length required is/Die minimale Kennwortlänge ist/g' | sed 's/xzxMinimum encryption code length is/Die minimale Länge des Verschlüsslungs-Codes ist/g' | \
    sed 's/ / /g' |  sed 's/ / /g' | \
    sed 's/ / /g' > doc2faxEmail_head_ger.php

#	sed 's/ / /g' | sed 's/ / /g' |  sed 's/ / /g' |  sed 's/ / /g' | \


cat doc2faxEmail_sendEmail.php | sed 's/xzxEmail sent to /E-Mail wurde gesendet an: /g' | sed 's/xzxDocument file URL: /Dokumente-URL: /g' | \
    sed 's/xzxHelp Software/Hilfssoftware für schnelles entschlüsseln/g' |  sed 's/xzxFile size is/Die Größe der Datei ist/g' | \
    sed 's/xzxMB. Maybe you have to wait some time, File upload lasts about 5 seconds per MB/MB. Evtl. müssen Sie etwas warten, der Upload dauert ca. 5 Sekunden je MB/g' | \
    sed 's/xzxSize of file is smaller than/Die Dateigröße ist kleiner als/g' |  sed 's/xzxKiloByte. Its additionally appended/KiloByte. Sie ist zusätzlich angehängt/g' |\
    sed 's/ / /g' > doc2faxEmail_sendEmail_ger.php

cat doc2faxEmail_sendFax.php | sed 's/xzxFax was sent with Fax-Nr:/Fax wurde gesendet an:/g' | sed 's/ / /g' > doc2faxEmail_sendFax_ger.php

cat doc2faxEmail_functions.php | sed 's/xzxClick to send password via fax/Hier klicken um das Entschlüsselungs-Kennwort per Fax zu senden/g' | \
    sed 's/xzxThe decrypt code for all ZIP-files from us,/Der Entschlüsslungscode für alle ZIP-Dateien von uns,/g' | \
    sed 's/xzxRemark:/Bemerkung:/g' |  sed 's/xzxCode:/Kennwort:/g' |  sed 's/xzxSuccessful documents:/Diese Dokumente wurden importiert:/g' | \
    sed "s/xzxError: Presumably they are still scans (tif's), please merge first/Fehler: Vermutlich Scans (tif's) enthalten, bitte vorher zu PDF machen/g" | \
    sed 's/xzxFailed documents/Fehlerhafte Dokumente/g' |  sed 's/xzxNo documents moved/Es wurden keine Dokumente nach _gesendet verschoben/g' |  sed 's/ / /g'  > doc2faxEmail_functions_ger.php


cat doc2faxEmail_setup.php | sed 's/xzxSetup of doc2faxEmail (footer)/Einstellungen zu Dokumente mit Fax und Email versenden/g' | \
    sed 's/xzxStandard text for fax-cover\/email and email-footer/Standard-Texte für E-Mail\/Fax-Deckblatt und Email-Impressum/g' | sed 's/ / /g' | \
    sed 's/xzxMessage body template (email)/Textbaustein\/Vorlage für E-Mail-Nachricht/g' | sed 's/xzxFaxCover template (fax)/Fax-Deckblatt Vorlage\/Textbaustein/g' | \
    sed 's/xzxOffice Name for EmailSenderName and automatic Fax with PW/Praxisname für EmailSenderName und automatisches Fax mit Code/g' |  sed 's/ / /g' | \
    sed 's/xzxEmail footer, html coded/E-Mail Impressum, HTML-Kodiert:/g' | \
    sed 's/xzxSave/Speichern/g' |  sed 's/xzxClear/Alles leeren/g' | sed 's/xzxLoad Example Email Footer/Beispieltext EMail-Impressum laden/g' | \
    sed 's/xzxback to doc2faxEmail/zurück zu Fax\/Email/g' | sed 's/ / /g' |  sed 's/ / /g' |  sed 's/ / /g'  >  doc2faxEmail_setup_ger.php


# ================  includes auf "german" ändern ===============

cat doc2faxEmail_ger.php | sed 's/include("doc2faxEmail_contactform.php")/include("doc2faxEmail_contactform_ger.php")/g' | \
    sed 's/include("doc2faxEmail_faxemailform.php")/include("doc2faxEmail_faxemailform_ger.php")/g' | \
    sed 's/include("doc2faxEmail_head.php")/include("doc2faxEmail_head_ger.php")/g' > doc2faxEmail_ger.tmp
mv doc2faxEmail_ger.tmp doc2faxEmail_ger.php

cat doc2faxEmail_functions_ger.php | sed 's/include("doc2faxEmail_sendFax.php")/include("doc2faxEmail_sendFax_ger.php")/g' | \
    sed 's/include("doc2faxEmail_sendEmail.php")/include("doc2faxEmail_sendEmail_ger.php")/g' > doc2faxEmail_functions_ger.tmp
mv doc2faxEmail_functions_ger.tmp doc2faxEmail_functions_ger.php

cat doc2faxEmail_head_ger.php | sed 's/doc2faxEmail_functions.php/doc2faxEmail_functions_ger.php/g' > doc2faxEmail_head_ger.tmp
mv doc2faxEmail_head_ger.tmp doc2faxEmail_head_ger.php


#
#	sed 's/ / /g' | sed 's/ / /g' |  sed 's/ / /g' |  sed 's/ / /g' | \
