<?php // BISMILLAHIRRAHMANIRRAHEEM
//$t = 120;
//ini_set("max_execution_time", $t);
set_time_limit(120); // Script timeout in seconds, need some high value for LibreOffice etc
include("engine.php");

//---$uploadlocation = $archivuploadlocation;

//$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
$gdata = $_GET; // Parameters

$ret["status"] = ""; // status, true on success, false on failure/ error
$ret["Action"] = $gdata["Action"]; // returns the Action/ Action code, same as request
$ret["data"] = ""; // contains payload/ return data
$ret["message"] = ""; // contains error message, if any


/*
	This is a progressive web app. Front end is handled in bulkUpload_head.php
	and backend is handled in functions2.php etc

	A click action by user calls function, for example: PrepareArchive()
	bulkUpload_head.php (frontend) sends request through the function Process() to functions2.php (backend).
	Requests are identified/ differentiated in functions2.php by setting the element "Action" in JSON object
	sent as request.
	For example:
	{
		...
		Action : "PrepareArchive"
		...
	}
	functions2.php (backend) performs backend operation and sends the response as another JSON object.
	The response JSON object has the following structure:
	{
		status : ...
		data : ...
		message : ...
	}
	status: true/ false indicates success or failure
	data: contains data returned (for example in response to any "get" request.
	message: message to display to user upon completion of the request.

	When the bulkUpload_head.php (frontend) receives the response (through Process() function), it triggers
	the function PrepareArchiveCompleted().

	So functions and Action attribute in JSON must be named in the above format.
	// ************************************************************************************

	The following "if" statements handle each of the bulkUpload_head.php (frontend) requests by identifying
	the "Action" attribute.
*/


// Response to get upload directory request
/*	Generate a working directory for upload and return the working upload directory path. The working directory is made in
	$uploadlocation (set in database.php). The working directory helps keep fiels for each upload session separate from
	other sessions. It keeps the temporary working files contained. Such files may be generating when converting from one
	type to another etc.
*/
if ($gdata["Action"] == "GetUploadDirectory") {
	$updirname = $Nowprecise;
	$uploaddir = join(DIRECTORY_SEPARATOR, array($uploadlocation, $updirname));
	$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));
	$i = 0;
	while (is_dir(join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir)))) {
		$r = rand(1, 10000);
		$dd = new DateTime();
		$Nowpreciseupdated = $dd->format("Y-m-d_Hisu");
		$updirname = $Nowpreciseupdated . $i . $r;
		$uploaddir = join(DIRECTORY_SEPARATOR, array($uploadlocation, $updirname));
		$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));
		$i = $i + 1;
		if ($i > 100) {
			// timeout? ... // exit;
		}
	}
	$rr = mkdir($uploaddircomplete);
	//$uploaddir = $uploadlocation;
	// Prepare unknown images
	$arr = ["Unknownnopreviewnopdfimage" => $Unknownnopreviewnopdfimage,
			"Unknownnopreviewpdfpresentimage" => $Unknownnopreviewpdfpresentimage	];
	foreach ($arr as $k => $a) {
		$exp = explode(".", $a);
		$file_ext = strtolower(end($exp));
		if ($file_ext == "png") {
			$imgtype = "png";
		} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
			$imgtype = "jpeg";
		} else {
			echo "Error: Incorrect image file extension.\n\n";
			exit; // --
		}
		$str = "";
		for ($i = 0; $i < (count($exp)-1); $i++) {
			$str .= $exp[$i];
		}
		$fileoriginalpath = join(DIRECTORY_SEPARATOR, array(getcwd(), $a));
		$file = $str . "-" . $ThumbnailSize . "." . $file_ext;
		$filepath = join(DIRECTORY_SEPARATOR, array(getcwd(), $file));
		$tmp = $k . "thumbnail";
		$$tmp = $file;
		if (!file_exists($filepath)) {
			if (file_exists($fileoriginalpath)) {
				$func = "imagecreatefrom" . $imgtype;
				$img = $func($fileoriginalpath);
				$func = "image" . $imgtype;
				$imgs = imagescale($img, $ThumbnailSize);
				$func($imgs, $file);
			}
		}
		$rdata[$tmp] = $file;
	}
	// Placeholder common output files...
	/*$fa = [	$PDFname . "_" . $updirname . "." . $PDFext,
			$Passwordfilename . "_" . $updirname . "." . $Passwordext,
			$Archivename . "_" . $updirname . "." . $Archiveext	];
	foreach ($fa as $file) {
		$fpath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file));
		$f = fopen($fpath, "w");
		if (!$f) {
			throw new Exception("Could not open file: " . basename($file) . "<br />Please check directory/ file permissions.");
		}
		fputs($f, " ");
		fclose($f);
	}*/
	$rdata["PDFPreview"] = $PDFPreview;
	//if ($rr) {
	$rdata["Directory"] = str_replace("\\", "/", $uploaddir);
	$rdata["Password"] = random_str($passwordlength);
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = " mkdir(\"" . $uploaddir . "\"); successful. Work directory for this session is: <strong>" . $uploaddir . "</strong>"; // contains error message, if any
	/*} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = ""; // contains payload/ return data
		$ret["message"] = "Unable to mkdir(\"" . $uploaddir . "\"); Please check permissions to <strong>" . $uploadlocation . "</strong> directory."; // contains error message, if any
	}*/
	// Directory cleanupo - different from doc2faxEmail
	$dnow = date("YmdHi");
	$dirs = scandir(join(DIRECTORY_SEPARATOR, array(getcwd(), $uploadlocation)));
	//foreach($dirs as $dir) {
		$ft = 0;
		//$dircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploadlocation, $dir));
		$dircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploadlocation));

		//if ((trim($dir) != ".") && (trim($dir) != "..") && (is_dir($dircomplete)) && (trim($dircomplete) != $uploaddircomplete)) {
		if (is_dir($dircomplete)) {
			$dircontents = scandir($dircomplete);
			//echo "dir: \t" . $dircomplete . "\n";
			//print_r($dircontents);
			foreach($dircontents as $f) {
				$fcomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploadlocation, $f));
				//echo $fcomplete . "\n";
				if (!is_dir($fcomplete)) {
					$ft = date("YmdHi", filemtime($fcomplete));
					//echo "ft:	\t" . $ft . "\n";
					if (($dnow - $ft) > 1440) { // more than 48 hrs minutes old
						//echo "yes	\t" . $dir . "\n";
						//echo "Now: \t\t" . $dnow . "\n";
						//echo "Filetime: \t" . $ft . "\n";
						if (DIRECTORY_SEPARATOR == "\\") {
							$ex = "del \"" . trim($fcomplete) . "\"";
						} else {
							$ex = "rm \"" . trim($fcomplete) . "\"";
						}
						//echo $dircomplete . "\n";
						$r = 0;
						//exec($ex, $output, $r); // Do not remove old files, this code operates in "docc"
						if ($r) {
							echo $ex . "\n";
							print_r($output);
							echo "Return code: " . $r . "\n";
						}
					}
				}
			}
			//echo $dir . "	\t" . $dnow . "	\t" . $fd . "\n";
		}
	//}
}

// Response to image rotate request
if ($gdata["Action"] == "Rotate") {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$uploaddir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));

	$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $jdata["Filename"]));
	$filepathbackup = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $jdata["FileBackup"]));
	$exp = explode(".", $jdata["Filename"]);
	$file_ext = strtolower(end($exp));
	$a = getimagesize($filepathbackup);
	//print_r($a);
	//echo "<br />\n\n<br />";
	if ($file_ext == "png") {
		$imgtype = "png";
	} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
		$imgtype = "jpeg";
	} else {
		echo "Error: Incorrect image file extension.\n\n";
		exit; // --
	}
	$func = "imagecreatefrom" . $imgtype;
	$img = $func($filepathbackup);
	$res = imageresolution($img);
	//print_r($res);
	if ($jdata["Direction"] == "CCW") {
		$angle = $jdata["Rotation"] + 90;
	} else {
		$angle = $jdata["Rotation"] - 90;
	}
	$angle = $angle % 360;
	if ($angle > 180) {
		$angle = -($angle - 180);
	}
	$jdata["Rotation"] = $angle;
	//echo $jdata["Direction"];
	//echo $angle;
	$imgr = imagerotate($img, $angle, 0);
	//$res = imageresolution($imgr);
	//echo "<br />\n\n<br />";
	//print_r($res);
	//imageresolution($imgr, $res[0]);
	//echo "<br />\n\n<br />";
	//print_r($res);
	//$p = $d . "t1.png";
	$func = "image" . $imgtype;
	$func($imgr, $filepath);

	$file_name_noext = ""; // can derive from $exp  by substr from file_name
	if (count($exp) > 1) {
		for ($i=0; $i<(count($exp) - 1); $i++) {
			if (strlen($file_name_noext) > 0) {
				$file_name_noext = trim($file_name_noext) . "." . $exp[$i];
			} else {
				$file_name_noext = $exp[$i];
			}
		}
	} else {
		$file_name_noext = $file_name;
	}


	$filename_backup = $file_name_noext . "_original." . $file_ext;
	$file_backup = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_backup));
	$filename_thumbnail = $file_name_noext . "_thumbnail." . $file_ext;
	$file_thumbnail = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_thumbnail));

	if ($file_ext == "png") {
		$imgtype = "png";
	} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
		$imgtype = "jpeg";
	} else {
		echo "Error: Incorrect image file extension.\n\n";
		exit; // --
	}
	$func = "imagecreatefrom" . $imgtype;
	$img = $func($filepath);
	//$res = imageresolution($img);
	$func = "image" . $imgtype;
	$imgs = imagescale($img, $ThumbnailSize);
	$func($imgs, $file_thumbnail);


	// copied from d2fE
		// Prepare LibreOffice profile folders, two for two conversions
	//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $Nowprecise;
	$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, "LibreOffice" . $Nowprecise));
	$i = 0;
	while (is_dir($LOprofilepath)) {
		$r = rand(1, 10000);
		$dd = new DateTime();
		$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
		$i = $i + 1;
		$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
		//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
		$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOprofiledir));
		if ($i > 100) {
			//exit;
		}
	}
	mkdir($LOprofilepath);
	$LOprofilepath1 = $LOprofilepath . "1";
	mkdir($LOprofilepath1);
	$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
	$LOprofilepath1 = str_replace("\\", "/", $LOprofilepath1);
	if ($file_ext != "pdf") {
		$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $uploaddircomplete . "\" \"" . $filepath . "\"";// 2>&1";
	}
	//echo sys_get_temp_dir();
	$LOhomedir = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOhome));
	if (!is_dir($LOhomedir)) {
		mkdir($LOhomedir);
	}
	putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
	$ex = $LObinarypath . " $LOcomm 2>&1";
	//echo ".......";
	exec($ex, $output, $r);
	//echo ">>> " . $ex . "</br>\n";
	//print_r($output);
	//echo "<br />\n\n<br />";
	//echo ">>>" . $ex . "\n\n";
	//echo "Return code: " . $r . "\n";
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
	$file_thumbnail_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . "_pdf.pdf"));
	$file_thumbnail_pdf_thumbnail = $file_name_noext . "_pdf.png";
	copy($file_pdf, $file_thumbnail_pdf);

	$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath1 . "\" --writer --convert-to png --outdir \"" . $uploaddircomplete . "\" \"" . $file_thumbnail_pdf . "\"";
	$ex = $LObinarypath . " $LOcomm 2>&1";
	$output = "";
	exec($ex, $output, $r);
	//echo $ex . "\n\n";
	//echo "Return code: " . $r . "\n";
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	// remove $file_thumbnail_pdf
	unlink($file_thumbnail_pdf);


	$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_thumbnail_pdf_thumbnail));
	$img = imagecreatefrompng($filepath);
	//$res = imageresolution($img);
	$imgs = imagescale($img, $ThumbnailSize);
	imagepng($imgs, $filepath);
	// end copy from d2fE
	$rdata = $jdata;
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = " image rotated successfully"; // contains error message, if any
	//print_r($ret);
}





// Response to upload files request. This code receives uploaded files and stores them on server and converts
// to other document types etc (LibreOffice)
if ($gdata["Action"] == "Upload") {
	if ($_POST["ConvertImage"] == "true") {
		foreach ($CheckboxImageExtensions as $cie)
		{
			$found = false;
			foreach ($extensions as $key => $val)
			{
				if ($val == $cie) {
					$found = true;
				}
			}
			if (!$found) {
				array_push($extensions, $cie);
			}
		}
	} else {
		foreach ($CheckboxImageExtensions as $cie)
		{
			foreach ($extensions as $key => $val)
			{
				if ($val == $cie) {
					unset($extensions[$key]);
				}
			}
		}
	}
	if ($_POST["ConvertDoc"] == "true") {
		foreach ($CheckboxDocExtensions as $cde)
		{
			$found = false;
			foreach ($extensions as $key => $val)
			{
				if ($val == $cde) {
					$found = true;
				}
			}
			if (!$found) {
				array_push($extensions, $cde);
			}
		}
	} else {
		foreach ($CheckboxDocExtensions as $cde)
		{
			foreach ($extensions as $key => $val)
			{
				if ($val == $cde) {
					unset($extensions[$key]);
				}
			}
		}
	}
	$uploaddir = str_replace("/", DIRECTORY_SEPARATOR, $_POST["Directory"]);
	$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));

	$patNr = intval($_POST["patNr"]);
	/*
	$datUser = $_POST["Date"];
	//$docFileName = $file_name_noext . $DefaultDocName . "." . $file_ext;
	$fromToName = $_POST["From"];
	$fromTo = $DefaultfromTo;
	$discipl = $_POST["Classification"];
	$rem5 = $_POST["Remark"];
	*/
 	if ($patNr > 0) {
	 	try {
			$conn = DBOpenConnection();
			$sql = "SELECT * FROM patimport WHERE patNrP = :patNr";
			$stmt = $conn->prepare($sql);
			$stmt->bindValue(':patNr', $patNr, PDO::PARAM_INT);

			$stmt->execute(); // true or false
			$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

			$res = $stmt->fetchAll();
			if (!$res) {
				//$ret["status"] = false;
				//$ret["message"] = "Patient not found in patimport. patNr: " . $patNr;
			} else {
				// patient found
			}
		}
		catch(PDOException $e) {
		    $ret["status"] = false;
		    $ret["message"] = $e->getMessage();
		}
		$conn = null;
	} else {
		$patNr = 0;
		//$ret["status"] = false;
		//$ret["message"] = "Invalid patNr: " . $patNr;
	}

	if ($ret["status"] !== false) {
		if (!is_dir($uploaddircomplete)) {
			mkdir($uploaddircomplete);
		}
		if(isset($_FILES[$fileelement])){
			$errors = array();
			$file_name = $_FILES[$fileelement]['name'];
			$file_size = $_FILES[$fileelement]['size'];
			$file_tmp = $_FILES[$fileelement]['tmp_name'];
			$file_type = $_FILES[$fileelement]['type'];
			$a = [$file_name, $file_size, $file_tmp, $file_type];
		    if (!($_FILES['file']['error'] === UPLOAD_ERR_OK)) {
		       echo "ASTAGHFIRULLAH, upload failed with error code " . $_FILES['file']['error'];
		    }
			$exp = explode('.', $_FILES[$fileelement]['name']);
			$file_ext = strtolower(end($exp));
			$file_name_noext = ""; // can derive from $exp  by substr from file_name
			if (count($exp) > 1) {
				for ($i=0; $i<(count($exp) - 1); $i++) {
					if (strlen($file_name_noext) > 0) {
						$file_name_noext = trim($file_name_noext) . "." . $exp[$i];
					} else {
						$file_name_noext = $exp[$i];
					}
				}
			} else {
				$file_name_noext = $file_name;
			}
			// check if filenames empty
			//$extensions = array("jpeg", "jpg", "png", "pdf", "odt", "doc", "docx");
			//$imgextensions = array("jpeg", "jpg", "png");

			//if(in_array($file_ext, $extensions) === false){
			//	$errors[] = "extension not allowed, please choose a JPEG or PNG file.";
			//}

			//if($file_size > 2097152){
			//	$errors[] = 'File size must be less than 2 MB';
			//}

			if(empty($errors)==true){
				// Replace special characters in filename
				$spl = str_split($file_name_noext);
				$challowed = str_split($DefaultCharactersAllowed);
				foreach($spl as $ch) { // check each character
					if (in_array($ch, $challowed) === false) {
						$file_name_noext = str_replace($ch, $DefaultReplaceChar, $file_name_noext);
					}
				}
				$slen = strlen($file_name_noext) + strlen($DefaultDocName) + 3 + strlen($file_ext);
				if ($slen > $MaxFileNameSize) {
					$sdiff = $slen - $MaxFileNameSize;
					$file_name_noext = substr($file_name_noext, 0, (strlen($file_name_noext) - $sdiff));
				}

				$docFileNameNoExt = $file_name_noext . $DefaultDocName . "_1";
				$docFileName = $docFileNameNoExt . "." . $file_ext;
				$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $docFileName));
				$i = 1;
				$found = true;
				while($found == true) {
					$found = false;
					$fils = scandir($uploaddircomplete);
					foreach($fils as $fil) {
						$dexp = explode(".", $fil);
						$dname = "";
						if (count($dexp) == 1) {
							$dname = $fil;
						} else {
							for($j=0; $j<(count($dexp)-1); $j++) {
								if ($dname != "") {
									$dname = $dname . ".";
								}
								$dname = $dname . $dexp[$j];
							}
						}
						if ($docFileNameNoExt == $dname) {
							$found == true;
							$i = $i + 1;
							//$file_name_noext = $file_name_noext . "_" . $i;
							$slen = strlen($file_name_noext) + strlen($DefaultDocName) + strlen($i) + 2 + strlen($file_ext);
							if ($slen > $MaxFileNameSize) {
								$sdiff = $slen - $MaxFileNameSize;
								$nlen = (strlen($file_name_noext) - $sdiff);
								if ($nlen > 0) {
									$file_name_noext = substr($file_name_noext, 0, $nlen);
								} else {
									$ret["status"] = false;
									$ret["status"] = "MaxFileNameSize too low, or DefaultDocName too long (DataBase.php).<br />MaxFileNameSize: " . $MaxFileNameSize . "<br />DefaultDocName: " . $DefaultDocName;
								}
							}
							$docFileNameNoExt = $file_name_noext . $DefaultDocName . "_" . $i;
							$docFileName = $docFileNameNoExt . "." . $file_ext;
							$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $docFileName));
						}
						//echo ">" . $fil . "\n";
						//echo "comparing... " . $file_name_noext . " to " . $dname . "<br />\n";
					}
				}
				/*while(file_exists($file_upload)) {
					$i = $i + 1;
					$file_name_noext = $file_name_noext . "_" . $i;
					$file_upload = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $file_name_noext . "." . $file_ext));
				}*/
				//$docFileName = $file_name_noext . $DefaultDocName . "." . $file_ext;
				$file_name_noext = $docFileNameNoExt;
				move_uploaded_file($file_tmp, $file_upload);

				$filename_backup = "";
				$Rotation = 0;
				$filename_thumbnail = "";

				/*if(in_array($file_ext, $imgextensions) === true){
					$filename_backup = $file_name_noext . "_original." . $file_ext;
					$file_backup = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_backup));
					$filename_thumbnail = $file_name_noext . "_thumbnail." . $file_ext;
					$file_thumbnail = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_thumbnail));
					copy($file_upload, $file_backup);
					if ($file_ext == "png") {
						$imgtype = "png";
					} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
						$imgtype = "jpeg";
					} else {
						echo "Error: Incorrect image file extension.\n\n";
						exit; // --
					}
					$func = "imagecreatefrom" . $imgtype;
					$img = $func($file_upload);
					//$res = imageresolution($img);
					$imgsize = getimagesize($file_upload);
					$func = "image" . $imgtype;
					/if ($imgsize[0] > $imgsize[1]) { // width > height, rotate
						$Rotation = 90;
						$img = imagerotate($img, $Rotation, 0);
						$func($img, $file_upload);
					}/
					if (($imgsize[0] > $Maximagepixels) || ($imgsize[1] > $Maximagepixels)) {
						$aratio = $imgsize[0] / $imgsize[1];
						if ($imgsize[0] > $imgsize[1]) { // width > height
							$imgs = imagescale($img, $Maximagepixels, ($Maximagepixels/$aratio));
						} else {
							$imgs = imagescale($img, ($Maximagepixels*$aratio), $Maximagepixels);
						}
						$func($imgs, $file_upload);
					}
					$imgst = imagescale($img, $ThumbnailSize);
					$func($imgst, $file_thumbnail);
				}
				$rPDF_file = "";
				$rPDF_thumbnailfile = "";
				if(in_array($file_ext, $extensions) === true){
					// Prepare LibreOffice profile folders, two for two conversions
					//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $Nowprecise;
					$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, "LibreOffice" . $Nowprecise));
					$i = 0;
					while (is_dir($LOprofilepath)) {
						$r = rand(1, 10000);
						$dd = new DateTime();
						$Nowpreciseupdated = $dd->format("Y-m-d_Hisu");
						$i = $i + 1;
						$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
						//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
						$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOprofiledir));
						if ($i > 100) {
							//exit;
						}
					}
					mkdir($LOprofilepath);
					$LOprofilepath1 = $LOprofilepath . "1";
					mkdir($LOprofilepath1);
					$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
					$LOprofilepath1 = str_replace("\\", "/", $LOprofilepath1);

					$LOhomedir = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOhome));
					if (!is_dir($LOhomedir)) {
						mkdir($LOhomedir);
					}
					putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
					if ($file_ext != "pdf") {
						$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $uploaddircomplete . "\" \"" . $file_upload . "\"";// 2>&1";

						$ex = $LObinarypath . " $LOcomm 2>&1";
						exec($ex, $output, $r);
						if ($r) {
							echo $ex . "\n";
							print_r($output);
							echo "Return code: " . $r . "\n";
						}
					}
					$docFileName = $docFileNameNoExt . ".pdf";
					$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); // just generated
					$file_thumbnail_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . "_pdf.pdf"));
					$file_thumbnail_pdf_thumbnail = $file_name_noext . "_pdf.png";
					copy($file_pdf, $file_thumbnail_pdf);

					$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath1 . "\" --writer --convert-to png --outdir \"" . $uploaddircomplete . "\" \"" . $file_thumbnail_pdf . "\"";
					$ex = $LObinarypath . " $LOcomm 2>&1";
					$output = "";
					exec($ex, $output, $r);
					if ($r) {
						echo $ex . "\n";
						print_r($output);
						echo "Return code: " . $r . "\n";
					}
					// remove $file_thumbnail_pdf
					unlink($file_thumbnail_pdf);
					$rPDF_file = $file_name_noext . ".pdf";
					$rPDF_thumbnailfile = $file_thumbnail_pdf_thumbnail;

					$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_thumbnail_pdf_thumbnail));
					$img = imagecreatefrompng($filepath);
					//$res = imageresolution($img);
					//print_r(getimagesize($filepath));
					$imgs = imagescale($img, $ThumbnailSize);
					imagepng($imgs, $filepath);
					//print_r(getimagesize($filepath));
				}*/


			if(in_array($file_ext, $imgextensions) === true){
				$filename_backup = $file_name_noext . "_original." . $file_ext;
				$file_backup = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_backup));
				$filename_thumbnail = $file_name_noext . "_thumbnail." . $file_ext;
				$file_thumbnail = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $filename_thumbnail));
				copy($file_upload, $file_backup);
				if ($file_ext == "png") {
					$imgtype = "png";
				} elseif (($file_ext == "jpg") || ($file_ext == "jpeg")) {
					$imgtype = "jpeg";
				} else {
					echo "Error: Incorrect image file extension.\n\n";
					exit; // --
				}
				$func = "imagecreatefrom" . $imgtype;
				$img = $func($file_upload);
				//$res = imageresolution($img);
				$imgsize = getimagesize($file_upload);
				// Rotate landscape to portrait only when converting to pdf
				if(in_array($file_ext, $extensions) === true) {
					$func = "image" . $imgtype;
					// Image rotate
					if ($imgsize[0] > $imgsize[1]) { // width > height, rotate
						$Rotation = 90;
						$img = imagerotate($img, $Rotation, 0);
						$func($img, $file_upload);
					}
				}
				$func = "imagecreatefrom" . $imgtype;
				$img = $func($file_upload);
				$imgsize = getimagesize($file_upload);
				$func = "image" . $imgtype;
				if (($imgsize[0] > $Maximagepixels) || ($imgsize[1] > $Maximagepixels)) {
					$aratio = $imgsize[0] / $imgsize[1];
					//echo "W: " . $imgsize[0] . "\n\n";
					//echo "H: " . $imgsize[1] . "\n\n";
					//echo "AR: " . $aratio . "\n\n";
					//echo "Max: " . $Maximagepixels;
					if ($imgsize[0] > $imgsize[1]) { // width > height
						$imgs = imagescale($img, $Maximagepixels, ($Maximagepixels/$aratio));
						//echo "/: " . $Maximagepixels/$aratio;
					} else {
						$imgs = imagescale($img, ($Maximagepixels*$aratio), $Maximagepixels);
						//echo "*: " . $Maximagepixels*$aratio;
					}
					$func($imgs, $file_upload);
				}
				$imgst = imagescale($img, $ThumbnailSize);
				$func($imgst, $file_thumbnail);
			}
			$rPDF_file = "";
			$rPDF_thumbnailfile = "";
			//if(in_array($file_ext, $extensions) === true) {
			// Prepare LibreOffice profile folders, two for two conversions
			//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $Nowprecise;
			$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, "LibreOffice" . $Nowprecise));
			$i = 0;
			while (is_dir($LOprofilepath)) {
				$r = rand(1, 10000);
				$dd = new DateTime();
				$Nowpreciseupdated = $dd->format("Y-m-d_Hisu"); // $Nowpreciseupdated = $dd->format("YmdHisu");
				$i = $i + 1;
				$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
				//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
				$LOprofilepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOprofiledir));
				if ($i > 100) {
					//exit;
				}
			}
			mkdir($LOprofilepath);
			$LOprofilepath1 = $LOprofilepath . "1";
			mkdir($LOprofilepath1);
			$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
			$LOprofilepath1 = str_replace("\\", "/", $LOprofilepath1);

			if(in_array($file_ext, $extensions) === true) {
				//echo sys_get_temp_dir();
				$LOhomedir = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $LOhome));
				if (!is_dir($LOhomedir)) {
					mkdir($LOhomedir);
				}
				putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
				if ($file_ext != "pdf") {
					if (in_array($file_ext, $a2psextensions) === true)
					{
						$filePS = $file_name_noext . ".ps";
						$filePDF = $file_name_noext . ".pdf";
						$pspath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $filePS));
						$pdfpath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $filePDF));

				        // a2ps can't work with utf-8 , used for german special chars "äöüß". Convert to ISO-8859-1 first:
				        $fileiconvcmd = 'iconv --from-code=UTF-8 --to-code=ISO-8859-1 ' . $file_upload . ' > ' . $file_upload . '.iso88;';
				        exec($fileiconvcmd);
				        $filepscmd = 'a2ps -1 -B -M a4 --header="Faxcover by Web@rchiv (c) " -f 12 ' . $file_upload . '.iso88 -o ' . $pspath . ';';
						exec($filepscmd);
						// Remove old pdf, as file_exists would check for new pdf
						if (file_exists($pdfpath)) {
							$rmoldpdf = 'rm -f ' . $pdfpath;
							exec($rmoldpdf);
						}
						if (file_exists($pspath)) {
							$filepdfcmd = $ps2pdfbinarypath . ' ' . $pspath . ' ' . $pdfpath;
							exec($filepdfcmd);
						}
					} else {
						$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $uploaddircomplete . "\" \"" . $file_upload . "\"";// 2>&1";

						$ex = $LObinarypath . " $LOcomm 2>&1";
						//echo ".......";
						exec($ex, $output, $r);
						//echo ">>> " . $ex . "</br>\n";
						//print_r($output);
						//echo "<br />\n\n<br />";
						//echo ">>>" . $ex . "\n\n";
						//echo "Return code: " . $r . "\n";
						if ($r) {
							echo $ex . "\n";
							print_r($output);
							echo "Return code: " . $r . "\n";
						}
					}
				}
			}
			$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
			if (file_exists($file_pdf)) {
				$rPDF_file = $file_name_noext . ".pdf";
			}
			if((in_array($file_ext, $thumbnailextensions) === true) && (file_exists($file_pdf))) {
				$file_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . ".pdf")); //  just generated
				$file_thumbnail_pdf = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_name_noext . "_pdf.pdf"));
				$file_thumbnail_pdf_thumbnail = $file_name_noext . "_pdf.png";
				if ($PDFPreview)
				{
					copy($file_pdf, $file_thumbnail_pdf);
					$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath1 . "\" --writer --convert-to png --outdir \"" . $uploaddircomplete . "\" \"" . $file_thumbnail_pdf . "\"";
					$ex = $LObinarypath . " $LOcomm 2>&1";
					$output = "";
					exec($ex, $output, $r);
					//echo $ex . "\n\n";
					//echo "Return code: " . $r . "\n";
					if ($r) {
						echo $ex . "\n";
						print_r($output);
						echo "Return code: " . $r . "\n";
					}
					// remove $file_thumbnail_pdf
					unlink($file_thumbnail_pdf);
					//$rPDF_file = $file_name_noext . ".pdf";
					$rPDF_thumbnailfile = $file_thumbnail_pdf_thumbnail;

					$filepath = join(DIRECTORY_SEPARATOR, array($uploaddircomplete, $file_thumbnail_pdf_thumbnail));
					$img = imagecreatefrompng($filepath);
					//$res = imageresolution($img);
					//print_r(getimagesize($filepath));
					$imgs = imagescale($img, $ThumbnailSize);
					imagepng($imgs, $filepath);
					//print_r(getimagesize($filepath));
				}
			}


			} // end if ($ret["status"] !== false) {
			try {
				removedirs($LOprofilepath);
				removedirs($LOprofilepath1);
			}
			catch (Exception $e) {
			}



			//$rdata["Directory"] = $Directory;
			$rdata["Filename"] = $file_name_noext . "." . $file_ext;
			//$rdata["FilenameURL"] = $rdata["Directory"] . "/" . $file_name;
			/*$rdata["FilenamePDFURL"] = str_replace("\\", "/", $file_pdf);*/
			$rdata["PDF"] = $rPDF_file;
			//$rdata["PDFURL"] = $rdata["Directory"] . "/" . $file_name_noext . ".pdf";
			$rdata["ThumbnailPDF"] = $rPDF_thumbnailfile;
			$rdata["FileBackup"] = $filename_backup;
			$rdata["Rotation"] = $Rotation;
			$rdata["Thumbnail"] = $filename_thumbnail;
			$rdata["Extension"] = $file_ext;
			$rdata["status"] = "active"; // for UI

			$ret["status"] = true; // status, true on success, false on failure/ error
			$ret["data"] = $rdata; // contains payload/ return data
			$ret["message"] = " file uploaded successfully"; // contains error message, if any
		}else{
			print_r($errors);
		}
	}
}





// Response to store file information to database.
if ($gdata["Action"] == "SaveFiles") {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	//$filepath = join(DIRECTORY_SEPARATOR, array($jdata["Directory"], $jdata["Filename"]));
	$Directory = $jdata["Directory"];
	$uploaddir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$uploaddircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir));

	$patNr = intval($jdata["patNr"]);
	$datUser = $jdata["Date"];
	//$docFileName = $file_name_noext . $DefaultDocName . "." . $file_ext;
	$fromToName = $jdata["From"];
	$fromTo = $DefaultfromTo;
	$discipl = $jdata["Classification"];
	$arch = intval($jdata["Arch"]);

	$rem5 = $jdata["Remark"];

	$VonAn = $jdata["VonAn"];
	$DokType = $jdata["DokType"];
	$pvalid = false;
 	if ($patNr > 0) {
	 	try {
			$conn = DBOpenConnection();
			$sql = "SELECT * FROM patimport WHERE patNrP = :patNr";
			$stmt = $conn->prepare($sql);
			$stmt->bindValue(':patNr', $patNr, PDO::PARAM_INT);

			$stmt->execute(); // true or false
			$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

			$res = $stmt->fetchAll();
			if (!$res) {
				$ret["status"] = false;
				$ret["message"] = "Patient not found in patimport. patNr: " . $patNr;
			} else {
				// patient found
				$pvalid = true;
			}
		}
		catch(PDOException $e) {
		    $ret["status"] = false;
		    $ret["message"] = $e->getMessage();
		}
		$conn = null;
	} else {
		$patNr = 0;
		$pvalid = true;
		$arch = 0;
		//$ret["status"] = false;
		//$ret["message"] = "Invalid patNr: " . $patNr;
	}
	if ($pvalid == true) {
		if (trim($datUser) == "") {
			$datUser = $Nowed;
		} else {
			$tmpdate = new DateTime($datUser);
			$tmpdate = $tmpdate->format("Y-m-d");
			if ($tmpdate == date("Y-m-d")) {
				$datUser = $Nowed;
			}
		}
		$sqldate = new DateTime($datUser);
		$sqldate = $sqldate->format("Y-m-d H:i:s");
		try {
		    $conn = DBOpenConnection();
		    $res["status"] = true;
		    foreach($jdata["ListFiles"] as $files) {
			    if ($files["status"] == "active") {
				    $exp = explode(".", $files["Filename"]);
					$file_ext = "";
					$file_name_noext = $exp[0];
					if (count($exp) > 0) {
						$file_ext = strtolower(end($exp));
						$file_name_noext = "";
						for($j=0; $j<(count($exp)-1); $j++) {
							if ($file_name_noext != "") {
								$file_name_noext = $file_name_noext . ".";
							}
							$file_name_noext = $file_name_noext . $exp[$j];
						}
					}
				    if (strlen($files["PDF"]) > 0) {
					    $docFileName = $files["PDF"];
					    $dtypUser = "PDF";
				    } else {
					    $docFileName = $files["Filename"];
					    $dtypUser = "Dok.";
				    }
				    if (in_array($file_ext, $imgextensions)) {
					    $dtypUser = "Bild";
				    }
				    $srcpathcomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $uploaddir, $docFileName));
				    $dstpathcomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $archivuploadlocation, $docFileName));
	    			if (file_exists($srcpathcomplete)) {
						copy($srcpathcomplete, $dstpathcomplete);
					}

		   			$stmt = $conn->prepare("INSERT INTO doarch (patNr, dateIn, datUser, dtype, dtypUser, fromTo, fromToName, discipl, docFileName, archMFP, archA1, archA2, archA3, archA4, archA5, archA6, archFirst, rem5) VALUES (:patNr, :dateIn, :datUser, :dtype, :dtypUser, :fromTo, :fromToName, :discipl, :docFileName, :archMFP, :archA1, :archA2, :archA3, :archA4, :archA5, :archA6, :archFirst, :rem5)");
		   			//echo "INSERT INTO doarch (patNr, dateIn, datUser, dtype, dtypUser, docFileName, fromTo, discipl, rem5) VALUES (:patNr, '', :dateIn, :dtype, :dtypUser, :docFileName, :fromTo, :discipl, :rem5)";
				    $stmt->bindValue(':patNr', $patNr, PDO::PARAM_INT);
				    $stmt->bindValue(':dateIn', $sqldate, PDO::PARAM_STR); // timestamp
				    $stmt->bindValue(':datUser', $sqldate, PDO::PARAM_STR); // timestamp
				    $stmt->bindValue(':dtype', $Defaultdtype, PDO::PARAM_STR);
				    $stmt->bindValue(':dtypUser', $dtypUser, PDO::PARAM_STR);
				    $stmt->bindValue(':fromTo', $fromTo, PDO::PARAM_STR);
				    $stmt->bindValue(':fromToName', $fromToName, PDO::PARAM_STR);
				    $stmt->bindValue(':discipl', $discipl, PDO::PARAM_STR);
				    $stmt->bindValue(':docFileName', $docFileName, PDO::PARAM_STR);
				    $stmt->bindValue(':archMFP', $arch, PDO::PARAM_INT);
				    $stmt->bindValue(':archA1', $arch, PDO::PARAM_INT);
				    $stmt->bindValue(':archA2', $arch, PDO::PARAM_INT);
				    $stmt->bindValue(':archA3', $arch, PDO::PARAM_INT);
				    $stmt->bindValue(':archA4', $arch, PDO::PARAM_INT);
				    $stmt->bindValue(':archA5', $arch, PDO::PARAM_INT);
				    $stmt->bindValue(':archA6', $arch, PDO::PARAM_INT);
				    $stmt->bindValue(':archFirst', $arch, PDO::PARAM_INT);
				    $stmt->bindValue(':rem5', $rem5, PDO::PARAM_STR);
				    $r = $stmt->execute(); // true or false

				    if (!$r) {
						$res["status"] = false;
						$res["message"] = "\$stmt->execute() returned false<br /><br />Some entries could not be saved";
					}
				}
			}
		}
		catch(PDOException $e) {
		    $res["status"] = false;
		    echo $e->getMessage();
		    $res["message"] = $e->getMessage();
		}
		$conn = null;
	}
	if ($res["status"] != false) {
		$ret["status"] = true;
		$ret["message"] = " files saved successfully.";
	}
}


// This response deletes uploaded file on server (not in database)
if ($gdata["Action"] == "DeleteFile") {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	//$filepath = join(DIRECTORY_SEPARATOR, array($jdata["Directory"], $jdata["Filename"]));
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$dirpath = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$dirpathcomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $dirpath));

	//$filepath = join(DIRECTORY_SEPARATOR, array($dirpathcomplete, $jdata["Filename"]));
	$filepath = $jdata["Filename"];
	$pdfpath = $jdata["PDF"];
	$thumbnailpdfpath = $jdata["ThumbnailPDF"];
	$thumbnailpath = $jdata["Thumbnail"];
	$files = [$filepath, $pdfpath, $thumbnailpdfpath, $thumbnailpath];
	for ($i=0; $i<count($files); $i++) {
		if (strlen(trim($files[$i])) > 0) {
			$fpath = join(DIRECTORY_SEPARATOR, array($dirpathcomplete, $files[$i]));
			if (file_exists($fpath)) {
				$r = unlink($fpath);
				if (!$r) {
					// log error to text file?
				}
			}
		}
	}
	$rdata["FileID"] = $jdata["FileID"];
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = " file deleted successfully"; // contains error message, if any
	//print_r($ret);
}












if ($gdata["Action"] == "PrepareFax") {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$pdffiles = "";
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
	removedirs($outputpdfdircomplete);
	if (!(count($jdata["ListFiles"]) > 0)) {
		//--
		echo "Error: Files list is empty.\n\n";
		exit;
	}
	foreach($jdata["ListFiles"] as $file) {
		//print_r($file);
		if ($file["status"] == "active") {
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["PDF"]));
			if (file_exists($pdfpath)) {
				if (!is_dir($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			}
		}
	}
	//$CombinedPDF = $PDFname . "_" . $Nowprecise . "." . $PDFext;
	$exp = explode("/", $Directory);
	$CombinedPDF = $PDFname . "_" . end($exp) . "." . $PDFext;
	$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedPDF));
	$outputpdfurl = join("/", array($outputpdfdir, $CombinedPDF));
	/*$i = 1;
	while (file_exists($outputpdfpath)) {
		$i = $i + 1;
		//$file_upload = join(DIRECTORY_SEPARATOR, array($uploaddir, $file_name_noext . "_" . $i . "." . $file_ext));
		$outputpdfpath = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir, $Nowprecise . "_" . $i . "." . ".pdf"));
		$outputpdfurl = join(DIRECTORY_SEPARATOR, array($outputpdfdir, $Nowprecise . "_" . $i . "." . ".pdf"));
	}*/
	$cpdfsuccess = true;
	if (strlen(trim($pdffiles)) > 0) {
		$ex = $PDFtkbinarypath . " " . trim($pdffiles) . " cat output " . $outputpdfpath;
		exec($ex, $output, $r);
		if ($r) {
			echo $ex . "\n";
			print_r($output);
			echo "Return code: " . $r . "\n";
			$cpdfsuccess = false;
		}
	} else {
		$cpdfsuccess = false;
	}
	//pdftk in1.pdf in2.pdf cat output out1.pdf
	//if (file_exists($outputpdfpath)) {
	if (($cpdfsuccess) && (file_exists($outputpdfpath))) {
		$rdata["FaxPDF"] = $outputpdfurl;
		$ret["status"] = true; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = " fax pdf file generated successfully"; // contains error message, if any
	} else {
		$rdata["FaxPDF"] = "";
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = " pdf could not be generated. Please make sure atleast one of the uploaded files is a document or image file ."; // contains error message, if any
	}
}













// This response prepares .zip archive, open and password protected, both.
if ($gdata["Action"] == "PrepareArchive") {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$pdffiles = "";
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
	$exp = explode("/", $Directory);
	$file_archive = $Archivename . "_" . end($exp) . "." . $Archiveext;
	$file_archive_open = "Open_" . $Archivename . "_" . end($exp) . "." . $Archiveext;
	removedirs($outputpdfdircomplete);
	// Prepare password pdf
	$Passwordfile = $Passwordfilename . "_" . end($exp) . "." . $Passwordext;
	$file = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $Passwordfile));
	$Passwordtext = "<!DOCTYPE html>
<html>
	<head>
		<title></title>
	</head>
	<body>
		Password for archive:<br /><br />
		Filename: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>" . $file_archive . "</strong><br />
		Password: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>" . $Password . "</strong>
	</body>
</html>";
	$f = fopen($file, "w");
	if (!$f) {
		throw new Exception("Could not open file: " . basename($file) . "<br />Please check directory/ file permissions.");
	}
	fputs($f, $Passwordtext);
	fclose($f);
	// Prepare LibreOffice profile folder
	$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, "LibreOffice" . $Nowprecise));
	$i = 0;
	while (is_dir($LOprofilepath)) {
		$r = rand(1, 10000);
		$dd = new DateTime();
		$Nowpreciseupdated = $dd->format("Y-m-d_Hisu");
		$i = $i + 1;
		$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
		//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
		$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOprofiledir));
		if ($i > 100) {
			//exit;
		}
	}
	mkdir($LOprofilepath);
	$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
	$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $outputpdfdircomplete . "\" \"" . $file . "\"";// 2>&1";
	$LOhomedir = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOhome));
	if (!is_dir($LOhomedir)) {
		mkdir($LOhomedir);
	}
	putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
	$ex = $LObinarypath . " $LOcomm 2>&1";
	//echo ".......";
	exec($ex, $output, $r);
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	try {
		removedirs($LOhomedir);
		removedirs($LOprofilepath);
	}
	catch (Exception $e) {
	}
	// Re-Prepare Fax Combined PDF document
	/*
	if (!(count($jdata["ListFiles"]) > 0)) {
		//--
		echo "Error: Files list is empty.\n\n";
		exit;
	}
	foreach($jdata["ListFiles"] as $file) {
		//print_r($file);
		if ($file["status"] == "active") {
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["PDF"]));
			if (file_exists($pdfpath)) {
				if (!is_dir($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			}
		}
	}
	$CombinedPDF = $PDFname . "_" . end($exp) . "." . $PDFext;
	$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedPDF));
	$outputpdfurl = join("/", array($outputpdfdir, $CombinedPDF));
	if (strlen(trim($pdffiles)) > 0) {
		$ex = $PDFtkbinarypath . " " . trim($pdffiles) . " cat output " . $outputpdfpath;
		exec($ex, $output, $r);
		if ($r) {
			echo $ex . "\n";
			print_r($output);
			echo "Return code: " . $r . "\n";
		}
	}
	*/
	//pdftk in1.pdf in2.pdf cat output out1.pdf
	// End Re-Prepare Fax

/*	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$pdffiles = "";
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
*/
	$pdffiles = "";
	/*if (!(count($jdata["ListFiles"]) > 0)) {
		//--
		echo "Error: Files list is empty.\n\n";
		exit;
	}*/
	foreach($jdata["ListFiles"] as $file) {
		//print_r($file);
		//$filepdf = str_replace("/", DIRECTORY_SEPARATOR, $file["PDF"]);
		if ($file["status"] == "active") {
			/*if(in_array($file["Extension"], $imgextensions) === true){ // image extensions
				$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["Filename"]));
				if (file_exists($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			} else {*/
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["PDF"]));
			if ((file_exists($pdfpath)) && (!is_dir($pdfpath)) && (in_array($file["Extension"], $imgextensions) === false)) {
				$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
			} else { // Not image or pdf type
				$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["Filename"]));
				if (file_exists($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			}
			//}
		}
	}
	/*$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedPDF));
	if (file_exists($pdfpath)) {
		$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
	}*/
	//$file_archive = $Archivename . "_" . $Nowprecise . "." . $Archiveext;
	$outputarchivepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file_archive));
	$outputarchiveurl = str_replace("\\", "/", join(DIRECTORY_SEPARATOR, array($outputpdfdir, $file_archive)));
	$outputarchivepathopen = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file_archive_open));
	$outputarchiveurlopen = str_replace("\\", "/", join(DIRECTORY_SEPARATOR, array($outputpdfdir, $file_archive_open)));
	if (file_exists($outputarchivepath)) {
		unlink($outputarchivepath);
	}
	if (file_exists($outputarchivepathopen)) {
		unlink($outputarchivepathopen);
	}
	$ex = $Szbinarypath . " a -t" . $Archivetype . " -p" . $Password . " " . $outputarchivepath . " " . trim($pdffiles);
	//echo $ex . "\n\n";
	exec($ex, $output, $r);
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	$archivesuccess = true;
	if (strlen(trim($pdffiles)) > 0) {
		$ex = $Szbinarypath . " a -t" . $Archivetype . " " . $outputarchivepathopen . " " . trim($pdffiles);
		//echo $ex . "\n\n";
		exec($ex, $output, $r);
		if ($r) {
			echo $ex . "\n";
			print_r($output);
			echo "Return code: " . $r . "\n";
			$archivesuccess = false;
		}
	} else {
		$archivesuccess = false;
	}
	removedirs($outputpdfdircomplete);
	//print_r($output);
	//pdftk in1.pdf in2.pdf cat output out1.pdf
	$rdata["Archive"] = $outputarchiveurl;
	$rdata["ArchiveOpen"] = $outputarchiveurlopen;

	if (($archivesuccess) && (file_exists($outputarchivepath))) {
		$ret["status"] = true; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = " archive file generated successfully"; // contains error message, if any
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = " archive could not be generated. Please make sure the files are uploaded ."; // contains error message, if any
	}
}











///////////////////////////////////////////////////////////////////////////
//								Send Fax/ Email
///////////////////////////////////////////////////////////////////////////

// This response sends fax to selected contacts
if ($gdata["Action"] == "SendFax") {
	include("sendFax.php");
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$pdffiles = "";
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
	removedirs($outputpdfdircomplete);
	if (!(count($jdata["ListFiles"]) > 0)) {
		//--
		echo "Error: Files list is empty.\n\n";
		exit;
	}
	foreach($jdata["ListFiles"] as $file) {
		//print_r($file);
		if ($file["status"] == "active") {
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["PDF"]));
			if (file_exists($pdfpath)) {
				if (!is_dir($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			}
		}
	}
	//$CombinedPDF = $PDFname . "_" . $Nowprecise . "." . $PDFext;
	$exp = explode("/", $Directory);
	$CombinedPDF = $PDFname . "_" . end($exp) . "." . $PDFext;
	$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedPDF));
	$outputpdfurl = join("/", array($outputpdfdir, $CombinedPDF));
	/*$i = 1;
	while (file_exists($outputpdfpath)) {
		$i = $i + 1;
		//$file_upload = join(DIRECTORY_SEPARATOR, array($uploaddir, $file_name_noext . "_" . $i . "." . $file_ext));
		$outputpdfpath = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir, $Nowprecise . "_" . $i . "." . ".pdf"));
		$outputpdfurl = join(DIRECTORY_SEPARATOR, array($outputpdfdir, $Nowprecise . "_" . $i . "." . ".pdf"));
	}*/
	$cpdfsuccess = true;
	if (strlen(trim($pdffiles)) > 0) {
		$ex = $PDFtkbinarypath . " " . trim($pdffiles) . " cat output " . $outputpdfpath;
		exec($ex, $output, $r);
		if ($r) {
			echo $ex . "\n";
			print_r($output);
			echo "Return code: " . $r . "\n";
			$cpdfsuccess = false;
		}
	} else {
		$cpdfsuccess = false;
	}
	//pdftk in1.pdf in2.pdf cat output out1.pdf
	if (($cpdfsuccess) && (file_exists($outputpdfpath))) {
		$sf = SendFax($jdata["FaxRecipients"], $outputpdfpath);
		if ($sf[0] === true) {
			$ret["status"] = true; // status, true on success, false on failure/ error
			$ret["data"] = ""; // contains payload/ return data
			$ret["message"] = " your fax has been queued for transmission/ transfer successfully.<br /><strong>Return code: </strong>" . $sf[1] . "<br /><strong>Message: </strong>" . $sf[2]; // contains error message, if any";
		} else {
			$ret["status"] = false; // status, true on success, false on failure/ error
			$ret["data"] = ""; // contains payload/ return data
			$ret["message"] = " the fax system returned error code <strong>" . $sf[1] . "</strong>.<br /><strong>Description: </strong>" . $sf[2]; // contains error message, if any
		}
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = ""; // contains payload/ return data
		$ret["message"] = " pdf could not be generated for fax document. Please make sure atleast one of the uploaded files is a document or image file ."; // contains error message, if any
	}
}








// This response sends email to selected contacts
if ($gdata["Action"] == "SendEmail") {
	include("sendEmail.php");
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$pdffiles = "";
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
	$exp = explode("/", $Directory);
	$file_archive = $Archivename . "_" . end($exp) . "." . $Archiveext;
	$file_archive_open = "Open_" . $Archivename . "_" . end($exp) . "." . $Archiveext;
	removedirs($outputpdfdircomplete);
	// Prepare password pdf
	$Passwordfile = $Passwordfilename . "_" . end($exp) . "." . $Passwordext;
	$file = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $Passwordfile));
	$Passwordtext = "<!DOCTYPE html>
<html>
	<head>
		<title></title>
	</head>
	<body>
		Password for archive:<br /><br />
		Filename: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>" . $file_archive . "</strong><br />
		Password: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>" . $Password . "</strong>
	</body>
</html>";
	$f = fopen($file, "w");
	if (!$f) {
		throw new Exception("Could not open file: " . basename($file) . "<br />Please check directory/ file permissions.");
	}
	fputs($f, $Passwordtext);
	fclose($f);
	// Prepare LibreOffice profile folder
	$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, "LibreOffice" . $Nowprecise));
	$i = 0;
	while (is_dir($LOprofilepath)) {
		$r = rand(1, 10000);
		$dd = new DateTime();
		$Nowpreciseupdated = $dd->format("Y-m-d_Hisu");
		$i = $i + 1;
		$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
		//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
		$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOprofiledir));
		if ($i > 100) {
			//exit;
		}
	}
	mkdir($LOprofilepath);
	$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
	$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $outputpdfdircomplete . "\" \"" . $file . "\"";// 2>&1";
	$LOhomedir = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOhome));
	if (!is_dir($LOhomedir)) {
		mkdir($LOhomedir);
	}
	putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
	$ex = $LObinarypath . " $LOcomm 2>&1";
	//echo ".......";
	exec($ex, $output, $r);
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	try {
		removedirs($LOhomedir);
		removedirs($LOprofilepath);
	}
	catch (Exception $e) {
	}
	/*
	// Re-Prepare Fax Combined PDF document
	if (!(count($jdata["ListFiles"]) > 0)) {
		//--
		echo "Error: Files list is empty.\n\n";
		exit;
	}
	foreach($jdata["ListFiles"] as $file) {
		//print_r($file);
		if ($file["status"] == "active") {
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["PDF"]));
			if (file_exists($pdfpath)) {
				if (!is_dir($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			}
		}
	}
	$CombinedPDF = $PDFname . "_" . end($exp) . "." . $PDFext;
	$outputpdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedPDF));
	$outputpdfurl = join("/", array($outputpdfdir, $CombinedPDF));
	if (strlen(trim($pdffiles)) > 0) {
		$ex = $PDFtkbinarypath . " " . trim($pdffiles) . " cat output " . $outputpdfpath;
		exec($ex, $output, $r);
		if ($r) {
			echo $ex . "\n";
			print_r($output);
			echo "Return code: " . $r . "\n";
		}
	}
	//pdftk in1.pdf in2.pdf cat output out1.pdf
	// End Re-Prepare Fax
	*/
/*	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$pdffiles = "";
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
*/
	$pdffiles = "";
	/*if (!(count($jdata["ListFiles"]) > 0)) {
		//--
		echo "Error: Files list is empty.\n\n";
		exit;
	}*/
	foreach($jdata["ListFiles"] as $file) {
		//print_r($file);
		//$filepdf = str_replace("/", DIRECTORY_SEPARATOR, $file["PDF"]);
		if ($file["status"] == "active") {
			$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["PDF"]));
			if ((file_exists($pdfpath)) && (!is_dir($pdfpath)) && (in_array($file["Extension"], $imgextensions) === false)) {
				$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
			} else { // Not image or pdf type
				$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file["Filename"]));
				if (file_exists($pdfpath)) {
					$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
				}
			}

		}
	}
	/*$pdfpath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $CombinedPDF));
	if (file_exists($pdfpath)) {
		$pdffiles = $pdffiles . " \"" . $pdfpath . "\"";
	}*/
	//$file_archive = $Archivename . "_" . $Nowprecise . "." . $Archiveext;
	$outputarchivepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file_archive));
	$outputarchiveurl = str_replace("\\", "/", join(DIRECTORY_SEPARATOR, array($outputpdfdir, $file_archive)));
	$outputarchivepathopen = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $file_archive_open));
	$outputarchiveurlopen = str_replace("\\", "/", join(DIRECTORY_SEPARATOR, array($outputpdfdir, $file_archive_open)));
	if (file_exists($outputarchivepath)) {
		unlink($outputarchivepath);
	}
	if (file_exists($outputarchivepathopen)) {
		unlink($outputarchivepathopen);
	}
	$ex = $Szbinarypath . " a -t" . $Archivetype . " -p" . $Password . " " . $outputarchivepath . " " . trim($pdffiles);
	//echo $ex . "\n\n";
	exec($ex, $output, $r);
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	$archivesuccess = true;
	if (strlen(trim($pdffiles)) > 0) {
		$ex = $Szbinarypath . " a -t" . $Archivetype . " " . $outputarchivepathopen . " " . trim($pdffiles);
		//echo $ex . "\n\n";
		exec($ex, $output, $r);
		if ($r) {
			echo $ex . "\n";
			print_r($output);
			echo "Return code: " . $r . "\n";
			$archivesuccess = false;
		}
	} else {
		$archivesuccess = false;
	}
	removedirs($outputpdfdircomplete);
	//print_r($output);
	//pdftk in1.pdf in2.pdf cat output out1.pdf
	//$rdata["Archive"] = $outputarchiveurl;
	//$rdata["ArchiveOpen"] = $outputarchiveurlopen;

	if (($archivesuccess) && (file_exists($outputarchivepath))) {
		$sf = SendEmail($jdata["EmailRecipients"], $outputarchivepath, $outputarchiveurl, $Archivemimetype);
		if ($sf[0] === true) {
			$ret["status"] = true; // status, true on success, false on failure/ error
			$ret["data"] = ""; // contains payload/ return data
			$ret["message"] = " your email has been queued for transmission/ transfer successfully.<br /><strong>Return code: </strong>" . $sf[1] . "<br /><strong>Message: </strong>" . $sf[2] . "<br /><br /><a href=\"javascript:GetFaxContactsPassword();\">Send password via fax</a>"; // contains error message, if any";
		} else {
			$ret["status"] = false; // status, true on success, false on failure/ error
			$ret["data"] = ""; // contains payload/ return data
			$ret["message"] = " the email system returned error code <strong>" . $sf[1] . "</strong>.<br /><strong>Description: </strong>" . $sf[2]; // contains error message, if any
		}
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = ""; // contains payload/ return data
		$ret["message"] = " archive could not be generated. Please make sure the files are uploaded ."; // contains error message, if any
	}
}








// This response sends password to selected contacts via fax
if ($gdata["Action"] == "SendFaxPassword") {
	include("SendFax.php");
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
	$Directory = $jdata["Directory"];
	$Password = $jdata["Password"];
	$pdffiles = "";
	$outputpdfdir = str_replace("/", DIRECTORY_SEPARATOR, $Directory);
	$outputpdfdircomplete = join(DIRECTORY_SEPARATOR, array(getcwd(), $outputpdfdir));
	$exp = explode("/", $Directory);
	$file_archive = $Archivename . "_" . end($exp) . "." . $Archiveext;
	$file_archive_open = "Open_" . $Archivename . "_" . end($exp) . "." . $Archiveext;
	removedirs($outputpdfdircomplete);
	// Prepare password pdf
	$Passwordfile = $Passwordfilename . "_" . end($exp) . "." . $Passwordext;
	$file = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $Passwordfile));
	$PasswordPDFfile = $Passwordfilename . "_" . end($exp) . ".pdf";
	$PasswordPDFfilecomplete = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $PasswordPDFfile));
	$Passwordtext = "<!DOCTYPE html>
<html>
	<head>
		<title></title>
	</head>
	<body>
		Password for archive:<br /><br />
		Filename: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>" . $file_archive . "</strong><br />
		Password: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<strong>" . $Password . "</strong>
	</body>
</html>";
	$f = fopen($file, "w");
	if (!$f) {
		throw new Exception("Could not open file: " . basename($file) . "<br />Please check directory/ file permissions.");
	}
	fputs($f, $Passwordtext);
	fclose($f);
	// Prepare LibreOffice profile folder
	$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, "LibreOffice" . $Nowprecise));
	$i = 0;
	while (is_dir($LOprofilepath)) {
		$r = rand(1, 10000);
		$dd = new DateTime();
		$Nowpreciseupdated = $dd->format("Y-m-d_Hisu");
		$i = $i + 1;
		$LOprofiledir = "LibreOffice" . $Nowpreciseupdated . $i . $r;
		//$LOprofilepath = str_replace("\\", "/", $LOprofilerootpath). "/" . $LOprofiledir;
		$LOprofilepath = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOprofiledir));
		if ($i > 100) {
			//exit;
		}
	}
	mkdir($LOprofilepath);
	$LOprofilepath = str_replace("\\", "/", $LOprofilepath);
	$LOcomm = "--headless \"-env:UserInstallation=file:///" . $LOprofilepath . "\" --writer --convert-to pdf:writer_pdf_Export --outdir \"" . $outputpdfdircomplete . "\" \"" . $file . "\"";// 2>&1";
	$LOhomedir = join(DIRECTORY_SEPARATOR, array($outputpdfdircomplete, $LOhome));
	if (!is_dir($LOhomedir)) {
		mkdir($LOhomedir);
	}
	putenv("HOME=" . $LOhomedir); // could change to getcwd() . $uploadlocation
	$ex = $LObinarypath . " $LOcomm 2>&1";
	//echo ".......";
	exec($ex, $output, $r);
	if ($r) {
		echo $ex . "\n";
		print_r($output);
		echo "Return code: " . $r . "\n";
	}
	if (file_exists($PasswordPDFfilecomplete)) {
		$passwordpdfsuccess = true;
	} else {
		$passwordpdfsuccess = false;
	}
	removedirs($outputpdfdircomplete);
	try {
		removedirs($LOhomedir);
		removedirs($LOprofilepath);
	}
	catch (Exception $e) {
	}
	//print_r($output);
	//pdftk in1.pdf in2.pdf cat output out1.pdf
	//$rdata["Archive"] = $outputarchiveurl;
	//$rdata["ArchiveOpen"] = $outputarchiveurlopen;

	if (($passwordpdfsuccess) && (file_exists($PasswordPDFfilecomplete))) {
		$sf = SendFax($jdata["FaxRecipients"], $PasswordPDFfilecomplete);
		if ($sf[0] === true) {
			$ret["status"] = true; // status, true on success, false on failure/ error
			$ret["data"] = ""; // contains payload/ return data
			$ret["message"] = " your fax has been queued for transmission/ transfer successfully.<br /><strong>Return code: </strong>" . $sf[1] . "<br /><strong>Message: </strong>" . $sf[2]; // contains error message, if any";
		} else {
			$ret["status"] = false; // status, true on success, false on failure/ error
			$ret["data"] = ""; // contains payload/ return data
			$ret["message"] = " the fax system returned error code <strong>" . $sf[1] . "</strong>.<br /><strong>Description: </strong>" . $sf[2]; // contains error message, if any
		}
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = ""; // contains payload/ return data
		$ret["message"] = "pdf could not be generated for fax document. Please make sure atleast one of the uploaded files is a document or image file ."; // contains error message, if any
	}
}









///////////////////////////////////////////////////////////////////////////
//								Archive db interface
///////////////////////////////////////////////////////////////////////////

// This response returns fax contacts for sending fax documents or sending archive password via fax
if (($gdata["Action"] == "GetFaxContacts") || ($gdata["Action"] == "GetFaxContactsPassword")) {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)

	try {
		$conn = DBOpenConnection();
		$sql = "SELECT * FROM AddressBook, AddressBookFAX WHERE AddressBook.abook_id = AddressBookFAX.abook_id";
		$stmt = $conn->prepare($sql);
		//$stmt->bindValue(':Barcode', $jdata['Barcode'], PDO::PARAM_STR);

		$stmt->execute(); // true or false
		$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

		$ret["data"] = $stmt->fetchAll();
		/*$ret["data"] = [	[	"company" => "abc", "faxnumber" => "111"	],
							[	"company" => "def", "faxnumber" => "222"	],
							[	"company" => "ghi", "faxnumber" => "333"	]	];*/
		if (!$ret) {
			$ret["status"] = false;
			$ret["message"] = false;
		}
		else {
			$ret["status"] = true;
		}
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
	/*$ret["status"] = $res["status"];
	$ret["message"] = $res["message"];
	$ret["data"] = $res["data"];*/
	//echo json_encode($res, JSON_FORCE_OBJECT);
}



// This response returns email contacts for sending email
if ($gdata["Action"] == "GetEmailContacts") {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)

	try {
		$conn = DBOpenConnection();
		//$sql = "SELECT * FROM AddressBook, AddressBookEmail WHERE AddressBook.abook_id = AddressBookEmail.abook_id";
		$sql = "SELECT * FROM AddressBookEmail";// WHERE AddressBook.abook_id = AddressBookEmail.abook_id";
		$stmt = $conn->prepare($sql);
		//$stmt->bindValue(':Barcode', $jdata['Barcode'], PDO::PARAM_STR);

		$stmt->execute(); // true or false
		$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

		$ret["data"] = $stmt->fetchAll();
		/*$ret["data"] = [	[	"contact_name" => "abc", "contact_email" => "111@email.com"	],
							[	"contact_name" => "def", "contact_email" => "222@email.com"	],
							[	"contact_name" => "ghi", "contact_email" => "333@email.com"	]	];*/
		if (!$ret) {
			$ret["status"] = false;
			$ret["message"] = false;
		}
		else {
			$ret["status"] = true;
		}
	}
	catch(PDOException $e) {
	    $ret["status"] = false;
	    $ret["message"] = $e->getMessage();
	}
	$conn = null;
	/*$ret["status"] = $res["status"];
	$ret["message"] = $res["message"];
	$ret["data"] = $res["data"];*/
	//echo json_encode($res, JSON_FORCE_OBJECT);
}


// This response returns already uploaded files list from database (doarch table) for a patient number
// This function is used when coming from inbox.php or patarch.php
if ($gdata["Action"] == "GetFilesList") {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)

	$patNr = intval($jdata["patNr"]);

 	if ($patNr > 0) {
	 	try {
			$conn = DBOpenConnection();
			$sql = "SELECT * FROM patimport WHERE patNrP = :patNr";
			$stmt = $conn->prepare($sql);
			$stmt->bindValue(':patNr', $patNr, PDO::PARAM_INT);

			$stmt->execute(); // true or false
			$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

			$res = $stmt->fetchAll();
			if (!$res) {
				$ret["status"] = false;
				$ret["message"] = "Patient not found in patimport. patNr: " . $patNr;
			} else {
				// patient found
				$sql = "SELECT * FROM doarch WHERE patNr = :patNr";
				$stmt = $conn->prepare($sql);
				$stmt->bindValue(':patNr', $patNr, PDO::PARAM_INT);

				$stmt->execute(); // true or false
				$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

				$res = $stmt->fetchAll();

				for($i=0; $i<count($res); $i++) {
					$rdata[$i]["Filename"] = $res[$i]["docFileName"];

					$exp = explode(".", $res[$i]["docFileName"]);
					$file_ext = "";
					$file_name_noext = $exp[0];
					if (count($exp) > 0) {
						$file_ext = strtolower(end($exp));
						$file_name_noext = "";
						for($j=0; $j<(count($exp)-1); $j++) {
							if ($file_name_noext != "") {
								$file_name_noext = $file_name_noext . ".";
							}
							$file_name_noext = $file_name_noext . $exp[$j];
						}
					}
					if (in_array($file_ext, $extensions)) {
						$rdata[$i]["PDF"] = $file_name_noext . ".pdf";
						$rdata[$i]["ThumbnailPDF"] = $file_name_noext . "_pdf.png";
					} else {
						$rdata[$i]["PDF"] = "";
						$rdata[$i]["ThumbnailPDF"] = "";
					}
					if (in_array($file_ext, $imgextensions)) {
						$rdata[$i]["FileBackup"] = $file_name_noext . "_original" . "." . $file_ext;
					} else {
						$rdata[$i]["FileBackup"] = "";
					}
					$rdata[$i]["Rotation"] = 0;
					$rdata[$i]["Thumbnail"] = $file_name_noext . "_thumbnail" . "." . $file_ext;
					$rdata[$i]["Extension"] = $file_ext;
					$rdata[$i]["status"] = "active"; // for UI
					$ret["status"] = true;
					$ret["data"] = $rdata;
		    		$ret["message"] = " files list retrieved successfully.";
				}
			}
		}
		catch(PDOException $e) {
		    $ret["status"] = false;
		    $ret["message"] = $e->getMessage();
		}
		$conn = null;
	} else {
		$ret["status"] = false;
		$ret["message"] = "Invalid patNr: " . $patNr;
	}


}

// This response returns the list of scans
if ($gdata["Action"] == "GetScansList") {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)

	$DayDiff = $jdata["DayDiff"];

	$cmpYmd = new DateTime(date("Y-m-d"));
	$cmpYmd->modify($DayDiff . " day");

	$tmps = scandir($scansdircomplete);

	$scans = array();
	$s = array();
	$s["Filename"] = "";
	$s["Extension"] = "";
	$s["status"] = "";
	foreach($tmps as $tmp) {
		$pathcomplete = join(DIRECTORY_SEPARATOR, array($scansdircomplete, $tmp));
		if (($tmp != ".") && ($tmp != "..") && (!is_dir($pathcomplete))) {
			$exp = explode(".", $tmp);
			$fname = "";
			for($i=0; $i<(count($exp)-1); $i++) {
				if (strlen($fname) == 0) {
					$fname .= $exp[$i];
				} else {
					$fname .= "." . $exp[$i];
				}
			}
			if (count($exp) > 1) {
				$file_ext = strtolower(end($exp));;
			} else {
				$file_ext = "";
			}
			$tifname = $fname . ".tif";
			$pngname = $fname . ".png";
			$tifpathcomplete = join(DIRECTORY_SEPARATOR, array($scansdircomplete, $tifname));
			$pngpathcomplete = join(DIRECTORY_SEPARATOR, array($scansdircomplete, $pngname));
			if ($file_ext != "tif") {
				continue; // not an image
			}
			$dtstamp = substr($tifname, 0, 14); // get date/ time
			$dyear = substr($dtstamp, 0, 4);
			$dmonth = substr($dtstamp, 4, 2);
			$dday = substr($dtstamp, 6, 2);

			// Compare file date with requested date.
			$filedate = new DateTime(date("$dyear-$dmonth-$dday"));
			$datediff = $cmpYmd->diff($filedate);
			$filedaydiff = $datediff->format("%R%a");
			//echo $filedaydiff . " - " . $DayDiff . "<br />";
			if ($filedaydiff >= 0) {
				$t["DateTime"] = $dtstamp;
				$t["Year"] = substr($dtstamp, 0, 4);
				$t["Month"] = substr($dtstamp, 4, 2);
				$t["Day"] = substr($dtstamp, 6, 2);
				$t["Hour"] = substr($dtstamp, 8, 2);
				$t["Minute"] = substr($dtstamp, 10, 2);
				$t["Second"] = substr($dtstamp, 12, 2);
				$imgtype = "png";
				$func = "imagecreatefrom" . $imgtype;
				$img = $func($pngpathcomplete);
				$imgres = imageresolution($img);
				$imgsize = getimagesize($pngpathcomplete);
				$t["DPI"] = $imgres;
				$t["Size"] = $imgsize;
				$t["Filename"] = $tifname;
				$t["Thumbnail"] = $pngname;
				$t["Extension"] = $file_ext;
				$t["status"] = "active"; // for UI
				array_push($scans, $t);
			}
		}
	}
	$rdata["Scans"] = $scans;
	$rdata["Directory"] = str_replace("\\", "/", $scansdir);
	$rr = true;
	if ($rr) {
		$ret["status"] = true; // status, true on success, false on failure/ error
		$ret["data"] = $rdata; // contains payload/ return data
		$ret["message"] = " scans retrieved."; // contains error message, if any
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = ""; // contains payload/ return data
		$ret["message"] = "Error occurred while retrieving scans list."; // contains error message, if any
	}
}



// This response copies scans
if ($gdata["Action"] == "CopyScans") {
	$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)

	$scans = $jdata["Scans"];
	//$tmps = scandir($scansdircomplete);
	$rscans = "";
	$ascans = "";
	foreach($scans as $scan) {
		$filename = $scan["Filename"];
		$srcpathcomplete = join(DIRECTORY_SEPARATOR, array($scansdircomplete, $filename));
		$dstpathcomplete = join(DIRECTORY_SEPARATOR, array($inboxdircomplete, $filename));
		$i = 0;
		$abort = false;
		/*try {
			$conn = DBOpenConnection();
			$sql = "SELECT * FROM scans WHERE scanPage = :scanPage";
			$stmt = $conn->prepare($sql);
			$stmt->bindValue(':scanPage', $filename, PDO::PARAM_STR);

			$stmt->execute(); // true or false
			$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

			$res = $stmt->fetchAll();
			// Either file exists in sql or destination path
			while ($res || file_exists($dstpathcomplete)) {
				$fsec = intval(substr($filename, 12, 2));
				if ($fsec == 59) {
					//$fsec = $fsec - 1; // *** Un comment this line
					$fsec = 0;	// *** comment this line
				} else {
					$fsec = $fsec + 1;
				}
				if (strlen($fsec) < 2) {
					$fsec = "0" . $fsec;
				}
				if (strlen($fsec) > 2) {
					$fsec = substr($fsec, 1, 2);
				}
				$filename = substr($filename, 0, 12) . $fsec . substr($filename, 14, strlen($filename));
				$dstpathcomplete = join(DIRECTORY_SEPARATOR, array($inboxdircomplete, $filename));

				$sql = "SELECT * FROM scans WHERE scanPage = :scanPage";
				$stmt = $conn->prepare($sql);
				$stmt->bindValue(':scanPage', $filename, PDO::PARAM_STR);

				$stmt->execute(); // true or false
				$stmt->setFetchMode(PDO::FETCH_ASSOC); // true or false

				$res = $stmt->fetchAll();

				if ($i > 5) {
					$abort = true;
					break;
				}
				$i = $i + 1;
			}
		}
		catch(PDOException $e) {
		    $ret["status"] = false;
		    $ret["message"] = $e->getMessage();
		}
		$conn = null;
		*/
		$fsec = intval(substr($filename, 12, 2));
		if ($fsec == 59) {
			//$fsec = $fsec - 1; // *** Un comment this line
			$fsec = $fsec - 1;	// *** comment this line
		} else {
			$fsec = $fsec + 1;
		}
		if (strlen($fsec) < 2) {
			$fsec = "0" . $fsec;
		}
		if (strlen($fsec) > 2) {
			$fsec = substr($fsec, 1, 2);
		}
		$filename = substr($filename, 0, 12) . $fsec . substr($filename, 14, strlen($filename));
		$dstpathcomplete = join(DIRECTORY_SEPARATOR, array($inboxdircomplete, $filename));

		if ($abort == false) {
			if (file_exists($srcpathcomplete)) {
				copy($srcpathcomplete, $dstpathcomplete);
				$rscans .= $scan["Filename"] . " (" . $filename . ")<br />";
				$scanslogtext = $Nowed . " Copied file. Source: " . $scan["Filename"] . " Destination: " . $filename . "\n";
				file_put_contents($scanslogfilepathcomplete, $scanslogtext);
			}
		} else {
			// missed a file due to name collision
			$ascans .= $scan["Filename"] . "<br />";
		}
	}
	$rr = true;
	if ($rr) {
		$ret["status"] = true; // status, true on success, false on failure/ error
		$ret["data"] = $rscans; // contains payload/ return data
		$ret["message"] = " scans copied successfully.<br /><br />Successful scans:<br /><br />" . $rscans . "<br /><br />Aborted scans:<br /><br />" . $ascans; // contains error message, if any
	} else {
		$ret["status"] = false; // status, true on success, false on failure/ error
		$ret["data"] = ""; // contains payload/ return data
		$ret["message"] = "Error occurred while copying scans."; // contains error message, if any
	}


}

// Output the generated JSON response
//echo json_encode(utf8ize($ret), JSON_FORCE_OBJECT); // Doesn't encode non-English characters without UTF-8
echo json_encode($ret, JSON_FORCE_OBJECT); // Doesn't encode non-English characters without UTF-8

// Internal function to convert to utf-8
// https://stackoverflow.com/questions/19361282/why-would-json-encode-return-an-empty-string
function utf8ize($d) {
	if (is_array($d)) {
		foreach ($d as $k => $v) {
			$d[$k] = utf8ize($v);
		}
	} else if (is_string ($d)) {
		return utf8_encode($d);
	}
	return $d;
}

// Internal function to convert from utf-8
function deutf8ize($d) {
	if (is_array($d)) {
		foreach ($d as $k => $v) {
			$d[$k] = utf8ize($v);
		}
	} else if (is_string ($d)) {
		return utf8_decode($d);
	}
	return $d;
}


/**
 * Generate a random string, using a cryptographically secure
 * pseudorandom number generator (random_int)
 *
 * For PHP 7, random_int is a PHP core function
 * For PHP 5.x, depends on https://github.com/paragonie/random_compat
 *
 * @param int $length      How many characters do we want?
 * @param string $keyspace A string of all possible characters
 *                         to select from
 * @return string
 */
// Internal function to generate random password for the zip archive
function random_str(
    $length,
    $keyspace = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'
    //`~!@#$%^&*()-_+=\|/?[{}]<,>.
) {
    $str = '';
    //$max = mb_strlen($keyspace, '8bit') - 1;
    $max = strlen($keyspace) - 1;
    if ($max < 1) {
        throw new Exception('$keyspace must be at least two characters long');
    }
    for ($i = 0; $i < $length; ++$i) {
        $str .= $keyspace[random_int(0, $max)];
    }
    return $str;
}

// Internal function to remove directories in a location
function removedirs($directory) {
	$dirs = scandir($directory);
	foreach($dirs as $dir) {
		$d = join(DIRECTORY_SEPARATOR, array($directory, $dir));
		if ((trim($dir) != ".") && (trim($dir) != "..") && (is_dir(trim($d)))) {
			if (DIRECTORY_SEPARATOR == "\\") {
				$ex = "rmdir /S /Q \"" . trim($d) . "\"";
			} else {
				$ex = "rm -rf \"" . trim($d) . "\"";
			}
			exec($ex, $output, $r);
			/*if ($r) {
				echo $ex . "\n";
				print_r($output);
				echo "Return code: " . $r . "\n";
			}*/
		}
	}
}


?>
